using System;

internal sealed class Delegate620 : MulticastDelegate
{
	public extern void Invoke(object object_0, long long_0);

	public static void smethod_0(object object_0, long long_0, Delegate620 delegate620_1)
	{
		delegate620_1(object_0, long_0);
	}

	public extern Delegate620(object object_0, IntPtr intptr_0);

	static Delegate620()
	{
		Class10.smethod_13(typeof(Delegate620).TypeHandle);
	}

	internal static Delegate620 delegate620_0;
}
